
Figure - Bug #118273
【IOVDEV-30307】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【设置】monkey中断副屏进入未
激活的动画界面
2023-05-26 16:28 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230524 20：30-20230525 09:00

【前提条件】：副屏上电，中控已连接

功放已连接 声音输出正常，开发者模式已关闭，无任何第三方应用

【操作步骤】

1.执行monkey

【实际结果】

1.monkey中断副屏进入未激活的动画界面

【期望结果】

1.monkey运行正常，副屏无异常

【备注】：

【当前开机次数】：跑monkey之前第127，monkey中断之后也是127次，开机累计时长16个小时以上

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-26 16:28 - CDTS_TEST 王成

没有安装任何第三方应用，只是副屏在跑monkey中控没有跑，标准台架和中控用的同一个

使用的最新脚本如下：

blackList.txt

com.github.uiautomator

com.tc.logclient

com.thundercomm.debugtools

com.example.android.locationattribution
com.sohu.inputmethod.sogou.car

adb shell "monkey --pkg-blacklist-file /sdcard/blackList.txt --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom 5 --pct-trackball

0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --pct-syskeys 0 -v -v -v 12000000 >/sdcard/monkey.log 2>&1

&" 

adb shell "sh /sdcard/monitor_monkey.sh >/dev/null 2>&1 &"

#2 - 2023-05-26 16:31 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118273/2023-05-25-log-01.00.0100.c103-HRYTTESTVINMGM401.zip

#3 - 2023-05-26 17:10 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#4 - 2023-05-26 17:54 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ Current conclusion

由于系统服务崩溃导致系统服务重启，Monkey 中断大概时间在 05-25 03:16:45 。

如果从工厂模式跳过激活进入系统，在 PackageManagerService 重启后，会将激活引导页面拉起，属于正常现象，日志如下：

05-25 03:16:47.957 11028 11028 I PackageManagerTiming: checkActivateState

05-25 03:16:47.957 11028 11028 D PackageManager: checkActivateState: 0

05-25 03:16:47.958 11028 11028 D PackageManager: checkActivateState: enable com.android.provision.DefaultActivity.

只有通过中控激活后，再重启，才不会再次进入激活引导页面。

Monkey Test 因系统服务问题（该问题见 https://share.thundersoft.com/redmine/issues/118189 ）中断且导致系统服务重启，日志如下：

05-25 03:16:45.483   959  1649 E SurfaceFlinger: AddClientLayer failed, mNumLayers (4096) >= MAX_LAYERS (4096)

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Root#0) ::  parent (no-parent).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (WindowedMagnification:0:31#0) ::  parent (Root#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (HideDisplayCutout:0:16#0) ::  parent (WindowedMagnification:0:31#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (OneHandedBackgroundPanel:0:1#0) ::  parent (HideDisplayCutout:0:16#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (OneHanded:0:1#0) ::  parent (OneHandedBackgroundPanel:0:1#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (FullscreenMagnification:0:1#0) ::  parent (OneHanded:0:1#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Leaf:0:1#0) ::  parent (FullscreenMagnification:0:1#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (WallpaperWindowToken{bfce66d token=android.os.Binder@9899e84}#0) ::  parent (Leaf:0:1#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (f13ea4a com.android.systemui.ImageWallpaper#0) ::  parent (WallpaperWindowToken{bfce66d

token=android.os.Binder@9899e84}#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (com.android.systemui.ImageWallpaper#0) ::  parent (f13ea4a com.android.systemui.ImageWallpaper#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Wallpaper BBQ wrapper#0) ::  parent (com.android.systemui.ImageWallpaper#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (OneHanded:2:16#0) ::  parent (HideDisplayCutout:0:16#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (FullscreenMagnification:2:14#0) ::  parent (OneHanded:2:16#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (colorBackgroundLayer#0) ::  parent (DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (DefaultTaskDisplayArea#0) ::  parent (FullscreenMagnification:2:14#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Task=1#0) ::  parent (DefaultTaskDisplayArea#0).
05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Task=114#0) ::  parent (Task=1#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (ActivityRecord{62f492e u0 com.android.launcher3/.uioverrides.QuickstepLauncher taskAffinity=null#0) ::  parent

(Task=114#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (aa32108 com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher#0) ::  parent

(ActivityRecord{62f492e u0 com.android.launcher3/.uioverrides.QuickstepLauncher taskAffinity=null#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=140)/@0xbc20b96 - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=140)/@0xbc20b96 - animation-leash of app_transition#1) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#1) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#2) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=140)/@0xbc20b96 - animation-leash of app_transition#2) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#3) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=140)/@0xbc20b96 - animation-leash of app_transition#3) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=140)/@0xbc20b96 - animation-leash of app_transition#5) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#5) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#6) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=140)/@0xbc20b96 - animation-leash of app_transition#6) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=140)/@0xbc20b96 - animation-leash of app_transition#7) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#7) ::  parent

(DefaultTaskDisplayArea#0).

05-25 03:16:45.483   959  1649 E SurfaceFlinger: layer (Surface(name=Task=141)/@0xd4c8f92 - animation-leash of app_transition#8) ::  parent

(DefaultTaskDisplayArea#0).

■ Next action

测试确认并同步客户

#5 - 2023-05-27 12:15 - CDTS_TEST 王成

此BUG包含两个问题

1、monkey中断，由于系统服务崩溃导致系统服务重启，Monkey 中断大概时间在 05-25 03:16:45 。，正在跟踪处理中

2、副屏进入未激活的动画界面，从日志分析中判断，是由于第一次开机是从工厂模式跳过激活，

#6 - 2023-06-03 15:16 - CD TEST-方永红

6.3

已同步
客户验证中

#7 - 2023-06-06 21:58 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118273/2023-0605-01.00.0106%EF%BC%8801.00.0104%EF%BC%89%E3%80%90VIN%E3%80%91HRYTTESTVINMG

M401.zip  客户复现新日志

#8 - 2023-06-07 15:35 - CD FW-廖涛

■ My analysis

从日志看，06-04 01:28:20.241 因 SurfaceFlinger 报错，导致 system_server 挂掉重启，重启后并未进入激活引导界面。

06-04 01:28:20.233   979   979 E ClientCache: failed to erase buffer, could not retrieve buffer

06-04 01:28:20.241   979  1076 E SurfaceFlinger: AddClientLayer failed, mNumLayers (4097) >= MAX_LAYERS (4096)

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Root#0) ::  parent (no-parent).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (WindowedMagnification:0:31#0) ::  parent (Root#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (HideDisplayCutout:0:16#0) ::  parent (WindowedMagnification:0:31#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (OneHandedBackgroundPanel:0:1#0) ::  parent (HideDisplayCutout:0:16#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (OneHanded:0:1#0) ::  parent (OneHandedBackgroundPanel:0:1#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (FullscreenMagnification:0:1#0) ::  parent (OneHanded:0:1#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Leaf:0:1#0) ::  parent (FullscreenMagnification:0:1#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (WallpaperWindowToken{ff38f53 token=android.os.Binder@91b6342}#0) ::  parent (Leaf:0:1#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (82cd1a8 com.android.systemui.ImageWallpaper#0) ::  parent (WallpaperWindowToken{ff38f53

token=android.os.Binder@91b6342}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (com.android.systemui.ImageWallpaper#0) ::  parent (82cd1a8 com.android.systemui.ImageWallpaper#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Wallpaper BBQ wrapper#0) ::  parent (com.android.systemui.ImageWallpaper#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (OneHanded:2:16#0) ::  parent (HideDisplayCutout:0:16#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (FullscreenMagnification:2:14#0) ::  parent (OneHanded:2:16#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (colorBackgroundLayer#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (DefaultTaskDisplayArea#0) ::  parent (FullscreenMagnification:2:14#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=1#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=50627#0) ::  parent (Task=1#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{bd6a39 u0 com.android.launcher3/.uioverrides.QuickstepLauncher taskAffinity=null t50627}#0) :: 

parent (Task=50627#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (8231664 com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher#0) ::  parent

(ActivityRecord{bd6a39 u0 com.android.launcher3/.uioverrides.QuickstepLauncher taskAffinity=null t50627}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (homeAnimationLayer#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=7#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Dim layer#0) ::  parent (Task=7#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=6#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Dim layer#0) ::  parent (Task=6#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=5#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=3#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Secondary Divider Dim#0) ::  parent (Task=3#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=2#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Primary Divider Dim#0) ::  parent (Task=2#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (splitScreenDividerAnchor#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=50965#0) ::  parent (DefaultTaskDisplayArea#0).
06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{93e628a u0 com.android.documentsui/.files.FilesActivity

taskAffinity=10018:com.android.documentsui t50965}#0) ::  parent (Task=50965#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (c6feec7 com.android.documentsui/com.android.documentsui.files.FilesActivity#0) ::  parent

(ActivityRecord{93e628a u0 com.android.documentsui/.files.FilesActivity taskAffinity=10018:com.android.documentsui t50965}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=50755#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{d2e5a2e u0 com.android.documentsui/.files.FilesActivity

taskAffinity=10018:com.android.documentsui t50755}#0) ::  parent (Task=50755#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (cebddb com.android.documentsui/com.android.documentsui.files.FilesActivity#0) ::  parent

(ActivityRecord{d2e5a2e u0 com.android.documentsui/.files.FilesActivity taskAffinity=10018:com.android.documentsui t50755}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=50999#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{9cb0a9d u0 com.android.documentsui/.files.FilesActivity

taskAffinity=10018:com.android.documentsui t50999}#0) ::  parent (Task=50999#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (23dc33c com.android.documentsui/com.android.documentsui.files.FilesActivity#0) ::  parent

(ActivityRecord{9cb0a9d u0 com.android.documentsui/.files.FilesActivity taskAffinity=10018:com.android.documentsui t50999}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=50663#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{e4edefd u0 com.thundercomm.gamecenter/.MainActivity

taskAffinity=10033:com.thundercomm.gamecenter t50663}#0) ::  parent (Task=50663#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (adff4c6 com.thundercomm.gamecenter/com.thundercomm.gamecenter.MainActivity#0) ::  parent

(ActivityRecord{e4edefd u0 com.thundercomm.gamecenter/.MainActivity taskAffinity=10033:com.thundercomm.gamecenter t50663}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=66114#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{433414d u0 com.android.documentsui/.files.FilesActivity

taskAffinity=10018:com.android.documentsui t66114}#0) ::  parent (Task=66114#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (856cb6f com.android.documentsui/com.android.documentsui.files.FilesActivity#0) ::  parent

(ActivityRecord{433414d u0 com.android.documentsui/.files.FilesActivity taskAffinity=10018:com.android.documentsui t66114}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=64887#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{b82cb17 u0 com.android.settings/.homepage.SettingsHomepageActivity

taskAffinity=1000:com.android.settings.root t64887}#0) ::  parent (Task=64887#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (bb55a82 com.android.settings/com.android.settings.homepage.SettingsHomepageActivity#0) ::  parent

(ActivityRecord{b82cb17 u0 com.android.settings/.homepage.SettingsHomepageActivity taskAffinity=1000:com.android.settings.root t64887}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=64529#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{8850911 u0 com.android.gallery3d/.app.GalleryActivity taskAffinity=10066:com.android.gallery3d

t64529}#0) ::  parent (Task=64529#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (3dd9010 com.android.gallery3d/com.android.gallery3d.app.GalleryActivity#0) ::  parent (ActivityRecord{8850911 u0

com.android.gallery3d/.app.GalleryActivity taskAffinity=10066:com.android.gallery3d t64529}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.GalleryActivity#0) ::  parent (3dd9010

com.android.gallery3d/com.android.gallery3d.app.GalleryActivity#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Bounds for - com.android.gallery3d/com.android.gallery3d.app.GalleryActivity#0) ::  parent

(com.android.gallery3d/com.android.gallery3d.app.GalleryActivity#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=65705#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{8a22d84 u0 com.android.music/.MusicBrowserActivity taskAffinity=10086:android.task.music

t65705}#0) ::  parent (Task=65705#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (8e72102 com.android.music/com.android.music.MusicBrowserActivity#0) ::  parent (ActivityRecord{8a22d84 u0

com.android.music/.MusicBrowserActivity taskAffinity=10086:android.task.music t65705}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=60788#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Letterbox - left#2) ::  parent (ActivityRecord{27a39fc u0 com.moji.mjweather/.MainActivity

taskAffinity=10096:com.moji.mjweather t60788}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Letterbox - right#2) ::  parent (ActivityRecord{27a39fc u0 com.moji.mjweather/.MainActivity

taskAffinity=10096:com.moji.mjweather t60788}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{27a39fc u0 com.moji.mjweather/.MainActivity taskAffinity=10096:com.moji.mjweather t60788}#0) ::

 parent (Task=60788#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (b6782c4 com.moji.mjweather/com.moji.mjweather.MainActivity#0) ::  parent (ActivityRecord{27a39fc u0

com.moji.mjweather/.MainActivity taskAffinity=10096:com.moji.mjweather t60788}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (com.moji.mjweather/com.moji.mjweather.MainActivity#1) ::  parent (b6782c4
com.moji.mjweather/com.moji.mjweather.MainActivity#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (82b08fd SnapshotStartingWindow for taskId=60788#0) ::  parent (ActivityRecord{27a39fc u0

com.moji.mjweather/.MainActivity taskAffinity=10096:com.moji.mjweather t60788}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (SnapshotStartingWindow for taskId=60788#1) ::  parent (82b08fd SnapshotStartingWindow for taskId=60788#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (SnapshotStartingWindow for taskId=60788 - task-snapshot-surface#1) ::  parent (SnapshotStartingWindow for

taskId=60788#1).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=50662#0) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{c5c757a u0 com.hryt.lebotp/.GuidanceActivity taskAffinity=10094:com.hryt.lebotp t50662}#0) :: 

parent (Task=50662#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (3bd1df7 com.hryt.lebotp/com.hryt.lebotp.GuidanceActivity#0) ::  parent (ActivityRecord{c5c757a u0

com.hryt.lebotp/.GuidanceActivity taskAffinity=10094:com.hryt.lebotp t50662}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Input Consumer recents_animation_input_consumer#1) ::  parent (no-parent).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=Task=65331)/@0x29a6a10 - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=65331#0) ::  parent (Surface(name=Task=65331)/@0x29a6a10 - animation-leash of app_transition#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{e6ba4fe u0 com.microsoft.emmx/com.microsoft.ruby.Main

taskAffinity=10020:com.microsoft.emmx t65331}#0) ::  parent (Task=65331#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (49b53b0 com.microsoft.emmx/com.microsoft.ruby.Main#0) ::  parent (ActivityRecord{e6ba4fe u0

com.microsoft.emmx/com.microsoft.ruby.Main taskAffinity=10020:com.microsoft.emmx t65331}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Background for SurfaceView[com.microsoft.emmx/com.microsoft.ruby.Main]#0) ::  parent

(SurfaceView[com.microsoft.emmx/com.microsoft.ruby.Main]#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (SurfaceView[com.microsoft.emmx/com.microsoft.ruby.Main]#0) ::  parent (Bounds for -

com.microsoft.emmx/com.microsoft.ruby.Main#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (SurfaceView[com.microsoft.emmx/com.microsoft.ruby.Main](BLAST)#0) ::  parent

(SurfaceView[com.microsoft.emmx/com.microsoft.ruby.Main]#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (com.microsoft.emmx/ChromeNativeWindowSurface#0) ::  parent

(SurfaceView[com.microsoft.emmx/com.microsoft.ruby.Main](BLAST)#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (com.microsoft.emmx/ChromeChildSurface#0) ::  parent (com.microsoft.emmx/ChromeNativeWindowSurface#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (com.microsoft.emmx/com.microsoft.ruby.Main#0) ::  parent (49b53b0

com.microsoft.emmx/com.microsoft.ruby.Main#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Bounds for - com.microsoft.emmx/com.microsoft.ruby.Main#0) ::  parent

(com.microsoft.emmx/com.microsoft.ruby.Main#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ImeContainer#0) ::  parent (ActivityRecord{e6ba4fe u0 com.microsoft.emmx/com.microsoft.ruby.Main

taskAffinity=10020:com.microsoft.emmx t65331}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (WindowToken{fccf5ea android.os.Binder@2c79d5}#0) ::  parent (ImeContainer#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=53c0433 InputMethod)/@0x2467d69 - animation-leash of insets_animation#0) ::  parent

(WindowToken{fccf5ea android.os.Binder@2c79d5}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (53c0433 InputMethod#0) ::  parent (Surface(name=53c0433 InputMethod)/@0x2467d69 - animation-leash of

insets_animation#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=Task=65169)/@0xe36b78a - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=Task=64048)/@0x4d26 - animation-leash of app_transition#1) ::  parent (DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=Task=62319)/@0xe81ff7e - animation-leash of app_transition#0) ::  parent

(DefaultTaskDisplayArea#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Task=62319#0) ::  parent (Surface(name=Task=62319)/@0xe81ff7e - animation-leash of app_transition#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0) ::  parent (Task=62319#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (7227f97 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#281) ::  parent (7227f97

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Bounds for - com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent

(com.android.gallery3d/com.android.gallery3d.app.MovieActivity#281).
06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=8acd76b com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xa865d1f -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=ba64a66 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x49aee35 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=c67fdab com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x601d5d2 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=2e1202e com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x371c6a2 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=918bdb7 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x71d170c -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=6afab8f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xc3fc26a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=7fa72f0 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xe0f65d9 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=77bc954 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xc3667f -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=e5415ff com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb59f588 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=a7f86a com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xa78c06b -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=8d2a396 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xfdc7ae1 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=6b70e14 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xc523517 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=d0b35a7 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x80144f4 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=8e52b77 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5f09262 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=7f0d076 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xe6b9df2 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.241   979  1076 E SurfaceFlinger: layer (Surface(name=625af85 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xd1838c5 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=421ec62 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x356eff0 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=a7a07fe com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x4badfee -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d
t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=ce065af com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x6fb8ebb -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=f24db47 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x2cd4325 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=3832c9a com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5e3d7bb -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=69b0447 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x86c1031 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=2c9d946 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb4a5b97 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=81516f3 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xd23d9ef -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=39a39e0 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xf54a940 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=19aaa3e com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xe9f28ad -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=fa5bfa3 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x645b48 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=2e169bc com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x70aaeb4 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=39b781e com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x734a9d -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=5a9aa9a com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xd187bec -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=7efb67c com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xcae24a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=9dd0359 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xf377a00 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=c046171 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xe42fb53 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=62c2764 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5c2d4e5 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=497f764 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x64eb4f3 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=b37acc8 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x19f7ae0 -
animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=c769abd com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xbcb9362 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=f38339f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xa62883f -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=8451482 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x34459c8 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=e12b2f7 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x17fc06a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=b7af7fb com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x9773986 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=3ebe2ca com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb5a23db -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=a3e0d2c com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xc7318a8 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=1f46a95 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xcf5820a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=e3c135c com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xe68b7ec -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=37b5b8d com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x6cb7e4a -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=bb6974d com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x61f66d8 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=a2a5f4d com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xf4b3516 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=bc70bf8 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xce6c107 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=f95a28c com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x8b84782 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=35c57fb com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x6b99ed0 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=51db008 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x6749d1a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=2488e95 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xd7788b4 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).
06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=de15a81 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xea62a28 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=eb5f682 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x8af70e6 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=d50b5ad com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x52cb25f -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=65afe1e com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x1076213 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=8fc50bc com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb6c82a8 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=92ad119 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xaa33c4f -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=44cebdf com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xda6f8b0 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=841b067 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x63ae248 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=dd74e54 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x30d36ff -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=8a4718f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x24b471e -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=bb28ebf com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xfde68 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=4b3c601 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5eceb46 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=4948243 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x573383f -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=953ba2d com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5d20e55 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=147b9d0 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb7c75d2 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=56a7d15 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xafe0d00 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=2a1e68f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x604fb7a -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=e8cc2dc com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x2629f88 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d
t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=81970ff com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x6575546 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=7dac443 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x86b3c01 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=af51a84 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x3e16b7e -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=1b1a136 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x7b6f92c -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=41a16c5 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xcf24b5a -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=fa0391f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x9237fd2 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=d7ac262 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x533d7a0 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=f70861 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5bdfd93 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=980917f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x915c71e -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=7638ac8 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x69120ac -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=7781b87 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x4924ce7 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=e86f2b7 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xe4e973d -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=ad58a45 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x1bfd319 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=f1efbc0 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x61c6ef1 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=9577f10 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xdc5141a -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=ab21351 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x43cf928 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=f0fb0c1 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x90142e -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=1e6538b com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb23bc5e -
animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=4fb25ba com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x555083d -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=5fbd1c4 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb4b2983 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=d29c51a com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x78eeb39 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=8e55730 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x30cdadf -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=17b211f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x7ad45f8 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=6a692f2 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xcf4f936 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=ad80520 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x26cc9a4 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=3a9cb7b com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xbe2cea9 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=1f33a07 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x71728d3 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=3ce3a71 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x670c309 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=6efaaa6 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x3a571d2 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=6b9bff2 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x89a6b30 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=4562516 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x4a89549 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=9b6106e com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x1013b6f -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=f6b6199 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x803b04a -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242   979  1076 E SurfaceFlinger: layer (Surface(name=5ce4112 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x55c3d05 -

animation-leash of window_animation#1) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.245   661   676 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

06-04 01:28:20.256   979  1076 I liblog  : 1260

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#51) ::  parent (f0fb0c1
com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=1e6538b com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb23bc5e -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (ab21351 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#50) ::  parent (ab21351

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=f0fb0c1 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x90142e -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (9577f10 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#52) ::  parent (9577f10

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=ab21351 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x43cf928 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (f1efbc0 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#54) ::  parent (f1efbc0

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=9577f10 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xdc5141a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (ad58a45 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#50) ::  parent (ad58a45

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=f1efbc0 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x61c6ef1 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 I liblog  : 1

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#49) ::  parent (e86f2b7

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=ad58a45 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x1bfd319 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (7781b87 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#48) ::  parent (7781b87

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=e86f2b7 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xe4e973d -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (7638ac8 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#48) ::  parent (7638ac8

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=7781b87 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x4924ce7 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (980917f com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0
com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#47) ::  parent (980917f

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=7638ac8 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x69120ac -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (f70861 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#47) ::  parent (f70861

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=980917f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x915c71e -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (d7ac262 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#46) ::  parent (d7ac262

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=f70861 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5bdfd93 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (fa0391f com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#45) ::  parent (fa0391f

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=d7ac262 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x533d7a0 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (41a16c5 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#44) ::  parent (41a16c5

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=fa0391f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x9237fd2 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (1b1a136 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#43) ::  parent (1b1a136

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=41a16c5 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xcf24b5a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (af51a84 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#42) ::  parent (af51a84

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=1b1a136 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x7b6f92c -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (7dac443 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#41) ::  parent (7dac443

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=af51a84 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x3e16b7e -
animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (81970ff com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#40) ::  parent (81970ff

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=7dac443 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x86b3c01 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (e8cc2dc com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#39) ::  parent (e8cc2dc

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (Surface(name=81970ff com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x6575546 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.256   979  1076 E SurfaceFlinger: layer (2a1e68f com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.257   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#39) ::  parent (2a1e68f

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.257   979  1076 E SurfaceFlinger: layer (Surface(name=e8cc2dc com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x2629f88 -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.257   979  1076 E SurfaceFlinger: layer (56a7d15 com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0) ::  parent (ActivityRecord{a022df9 u0

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.257   979  1076 E SurfaceFlinger: layer (com.android.gallery3d/com.android.gallery3d.app.MovieActivity#38) ::  parent (56a7d15

com.android.gallery3d/com.android.gallery3d.app.MovieActivity#0).

06-04 01:28:20.257   979  1076 E SurfaceFlinger: layer (Surface(name=2a1e68f com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x604fb7a -

animation-leash of window_animation#0) ::  parent (ActivityRecord{a022d

#9 - 2023-06-07 15:40 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

复现了layer过多的问题，复现种类为图库里的画面，图库入口将会被干掉

这个问题，应该不需要处理, 请确认

com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d t62319}#0).

06-04 01:28:20.242 979 1076 E SurfaceFlinger: layer (Surface(name=3832c9a com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x5e3d7bb -

animation-leash of window_animation#0) :: parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242 979 1076 E SurfaceFlinger: layer (Surface(name=69b0447 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0x86c1031 -

animation-leash of window_animation#0) :: parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242 979 1076 E SurfaceFlinger: layer (Surface(name=2c9d946 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xb4a5b97 -

animation-leash of window_animation#0) :: parent (ActivityRecord{a022df9 u0 com.android.gallery3d/.app.MovieActivity taskAffinity=10066:com.android.gallery3d

t62319}#0).

06-04 01:28:20.242 979 1076 E SurfaceFlinger: layer (Surface(name=81516f3 com.android.gallery3d/com.android.gallery3d.app.MovieActivity)/@0xd23d9ef -

animation-leash of window_animation#0) :: parent (ActivityRecord{a022df9 u0
#10 - 2023-06-25 16:25 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

请确认是因为图片过多造成还是单纯因为图库这个APK

#11 - 2023-06-25 17:27 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

如飞书沟通

这个问题是图库类型的layer泄露，与图库里面的图片没有关系，因为新版本图库入口没了，所以这个问题不会再有了

#12 - 2023-06-25 17:32 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

图库APP已隐藏入口，monkey已加入黑名单，此BUG关闭

#13 - 2023-06-25 17:32 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#14 - 2023-06-25 17:32 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

2025-07-04 16/16


